GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Functions
histogram.c File Reference
`#include <grpc/support/histogram.h>`
`#include <math.h>`
`#include <stddef.h>`
`#include <string.h>`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/port_platform.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/useful.h>`

## Data Structures
struct | gpr_histogram

## Functions
gpr_histogram * | gpr_histogram_create (double resolution, double max_bucket_start)
void | gpr_histogram_destroy (gpr_histogram *h)
void | gpr_histogram_add (gpr_histogram *h, double x)
int | gpr_histogram_merge (gpr_histogram *dst, gpr_histogram *src)
void | gpr_histogram_merge_contents (gpr_histogram *dst, const gpr_uint32 *data, size_t data_count, double min_seen, double max_seen, double sum, double sum_of_squares, double count)
double | gpr_histogram_percentile (gpr_histogram *h, double percentile)
double | gpr_histogram_mean (gpr_histogram *h)
double | gpr_histogram_stddev (gpr_histogram *h)
double | gpr_histogram_variance (gpr_histogram *h)
double | gpr_histogram_maximum (gpr_histogram *h)
double | gpr_histogram_minimum (gpr_histogram *h)
double | gpr_histogram_count (gpr_histogram *h)
double | gpr_histogram_sum (gpr_histogram *h)
double | gpr_histogram_sum_of_squares (gpr_histogram *h)
const gpr_uint32 * | gpr_histogram_get_contents (gpr_histogram *h, size_t *size)

## Function Documentation

void gpr_histogram_add | ( | gpr_histogram * | h,
|  | double | x
| ) |  |

double gpr_histogram_count | ( | gpr_histogram * | h | ) |

gpr_histogram* gpr_histogram_create | ( | double | resolution,
|  | double | max_bucket_start
| ) |  |

void gpr_histogram_destroy | ( | gpr_histogram * | h | ) |

const gpr_uint32* gpr_histogram_get_contents | ( | gpr_histogram * | h,
|  | size_t * | size
| ) |  |

double gpr_histogram_maximum | ( | gpr_histogram * | h | ) |

double gpr_histogram_mean | ( | gpr_histogram * | h | ) |

int gpr_histogram_merge | ( | gpr_histogram * | dst,
|  | gpr_histogram * | src
| ) |  |

void gpr_histogram_merge_contents | ( | gpr_histogram * | dst,
|  | const gpr_uint32 * | data,
|  | size_t | data_count,
|  | double | min_seen,
|  | double | max_seen,
|  | double | sum,
|  | double | sum_of_squares,
|  | double | count
| ) |  |

double gpr_histogram_minimum | ( | gpr_histogram * | h | ) |

double gpr_histogram_percentile | ( | gpr_histogram * | h,
|  | double | percentile
| ) |  |

double gpr_histogram_stddev | ( | gpr_histogram * | h | ) |

double gpr_histogram_sum | ( | gpr_histogram * | h | ) |

double gpr_histogram_sum_of_squares | ( | gpr_histogram * | h | ) |

double gpr_histogram_variance | ( | gpr_histogram * | h | ) |